MINOVAES - PRODUCT - Support #976

[HR-PAYROLL] Validasi saat Upload Data Payroll
03/16/2022 05:58 PM - Kezia Pawitra Yulianti

Status: Assigned Start date: 03/16/2022
Priority: High Due date: 08/04/2023
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mang Wanto,
mohon bantuannya untuk dapat membuatkan validasi dgn kondisi sbb:

1. Pada template upload Regular Payroll dan Additional Payroll dibuatkan validasi untuk bbrp field

2. Tabel yang digunakan untuk referensi validasi adalah PHRPYCU0300 dan PCMEPCOMPID

3. Primary key field yg dipakai adalah field WageType di template upload di compare dgn field yg sama yaitu WageType yg ada di
tabel PHRPYCUO0300

4. 2 field yang auto fill adalah field Flag dan Overwrite pd template dengan disamakan pada 2 field juga yaitu Valuation dan
Overwrite pd tabel PHRPYCU0300

5. Flag = Valuation dan Overwrite=Overwrite

6. Primary key field yg dipakai adalah field EmployeelD di template upload di compare dgn field yg sama yaitu EmployeelD yg ada di
tabel PHRPA0002

7. Dibuatkan autofill pada field Currency jika pada template upload kosong, dengan membaca pd field Currency yg ada di tabel
PCMEPCOMPID sesuai Company ID masing2 employee yang akan di upload (membaca dari tabel PHRPA0002 tiap employee tsb)

Demikian, jika ada yg ingin ditanyakan silahkan ya
Thanks

History

#1 - 03/16/2022 05:58 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 07/31/2023 03:16 PM - Kezia Pawitra Yulianti
- Due date changed from 04/01/2022 to 08/04/2023

- Assignee changed from Saswanto Tampan to M Azid Wahyudi
